# metadata module

`binaryninja.metadata.Metadata`([value, ...]) |
`binaryninja.metadata.pyNativeStr`(arg) |
`binaryninja.metadata.range`(*args) | A Python2 and Python3 Compatible Range Generator

class `binaryninja.metadata.``Metadata`(value=None, signed=None, raw=None, handle=None)

  Bases: `object`

  `get_dict`()
  `is_array`
  `is_boolean`
  `is_dict`
  `is_float`
  `is_integer`
  `is_raw`
  `is_signed_integer`
  `is_string`
  `is_unsigned_integer`
  `remove`(key_or_index)
  `type`
  `value`